CMAP_FD_GET(3)

NAME

cmap_fd_get - Dispatches callbacks from the CMAP service

SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_fd_get (cmap_handle_t handle, int *fd);

DESCRIPTION

The cmap_fd_get function is used to retrieve the file descriptor that may be used with the poll system call to determine when cmap_dispatch(3) won't block. The handle argument may not be used directly with poll because it is not the file descriptor, but instead an internal identifier used by the CMAP library.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

SEE ALSO
cmap_dispatch(3), cmap_overview(8)